/**
 * @file iap_misc.h
 * @brief CycloneBOOT IAP Miscellaneous Functions API
 *
 * @section License
 *
 * Copyright (C) 2021-2022 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneBOOT Eval.
 *
 * This software is provided in source form for a short-term evaluation only. The
 * evaluation license expires 90 days after the date you first download the software.
 *
 * If you plan to use this software in a commercial product, you are required to
 * purchase a commercial license from Oryx Embedded SARL.
 *
 * After the 90-day evaluation period, you agree to either purchase a commercial
 * license or delete all copies of this software. If you wish to extend the
 * evaluation period, you must contact sales@oryx-embedded.com.
 *
 * This evaluation software is provided "as is" without warranty of any kind.
 * Technical support is available as an option during the evaluation period.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 2.1.0
 **/

#ifndef _IAP_MISC_H
#define _IAP_MISC_H

//Dependancies
#include "iap/iap.h"
#include "core/image.h"

//CycloneBOOT IAP miscellaneous related functions
error_t iapInitPrimaryMemory(IapSettings *settings, IapContext *context);
error_t iapInitSecondaryMemory(IapSettings *settings, IapContext *context);
error_t iapInitInputImage(IapSettings *settings, IapContext *context);
error_t iapInitOutputImage(IapSettings *settings, IapContext *context);
error_t iapWrite(ImageContext *context, const uint8_t *data, size_t length, uint8_t flag);
error_t iapGetImageHeaderFromSlot(SlotDesc *slot, ImageHeader *header);

#endif // !_IAP_MISC_H
