@echo off

REM J-Link Commander
REM 1. "J-Link Software and Documentation pack" must be installed first: https://www.segger.com/downloads/jlink/ (version 7.22)
REM 2. Add J-Link.exe (J-Link Commander CLI) executable to the environment PATH (C:\Program Files (x86)\SEGGER\JLink_V722)
set JLINK_COMMANDER_EXE=JLink.exe
set DEVICE=ATSAME54P20
set LOG_FILE=temp.log

REM Get NVMCTR STATUS register value and save it in "temp.log" file
echo Configuring ATMEL MCU flash in dual bank mode...
%JLINK_COMMANDER_EXE% -device %DEVICE% -if SWD -speed 4000 -autoconnect 1 -CommanderScript ./jlink/same54_read_nvmctrl_reg.jlink 1>Nul

REM Extract from "temp.log" the line that contains NVMCTRL STATUS register value
set str=
for /f "delims=" %%a in ('findstr Data: %LOG_FILE%') do @set str=%%a

REM Get NVMCTRL STATUS AFIRST bit from extracted line
set bit=%str:~-2,1%
set /a "AFIRST=%bit% & 1"

REM Is current app running in flash bankA?
if "%AFIRST%"=="1" goto :end else goto :swap

REM Manage swap back operation
REM ==========================
:swap
echo Running in flash bankB.

REM Swap back on flash bankA
echo Swaping back on flash bankA...
%JLINK_COMMANDER_EXE% -device %DEVICE% -if SWD -speed 4000 -autoconnect 1 -CommanderScript ./jlink/same54_swap_flash_bank.jlink 1>Nul
goto :end   


REM End of process
REM ==========================
:end
del /F %LOG_FILE%
echo Done.
pause
