/**
 * @file main.h
 * @brief Main routine
 *
 * @section License
 *
 * Copyright (C) 2021-2022 Oryx Embedded SARL. All rights reserved.
 *
 * This file is part of CycloneBOOT Eval.
 *
 * This software is provided in source form for a short-term evaluation only. The
 * evaluation license expires 90 days after the date you first download the software.
 *
 * If you plan to use this software in a commercial product, you are required to
 * purchase a commercial license from Oryx Embedded SARL.
 *
 * After the 90-day evaluation period, you agree to either purchase a commercial
 * license or delete all copies of this software. If you wish to extend the
 * evaluation period, you must contact sales@oryx-embedded.com.
 *
 * This evaluation software is provided "as is" without warranty of any kind.
 * Technical support is available as an option during the evaluation period.
 *
 * @author Oryx Embedded SARL (www.oryx-embedded.com)
 * @version 2.1.0
 **/

#ifndef _MAIN_H
#define _MAIN_H

//First Debug and Y-MODEM uart configuration
// - Debug trace retargeted on the Nucleo_H7A3ZI-Q USB VCOM port (USART3)
//      - 115200 baud, no parity, 1 stop bit
//      - USB CN1 connector (USART3 -> TX:PD8, RX:PD9)
// - Y-MODEM communication are done on Nucleo_H7A3ZI-Q Arduino UART port (USART2)
//      - 9600 baud, no parity, 1 stop bit
//      - USART CN9 connector (USART2 -> TX:PD5, RX:PD6)
#define DEBUG_UART_CONFIG_1 1

//Second Debug and Y-MODEM uart configuration
// - //Debug trace retargeted on the Nucleo_H7A3ZI-Q Arduino UART port (USART2)
//      - 9600 baud, no parity, 1 stop bit
//      - USART CN9 connector (USART2 -> TX:PD5, RX:PD6)
// - Y-MODEM communication are done on the Nucleo_H7A3ZI-Q USB VCOM port (USART3)
//      - 115200 baud, no parity, 1 stop bit
//      - USB CN1 connector (USART3 -> TX:PD8, RX:PD9)
#define DEBUG_UART_CONFIG_2 2

//Choose one of the above debug/ymodem uart configuration
#define DEBUG_CONFIG DEBUG_UART_CONFIG_2

//Uncomment one of the folliwng lines to select the app version
#define APP_DEMO_RED    //RED LED version -> v1.0.0
//#define APP_DEMO_GREEN    //GREEN LED version -> v2.0.0
//#define APP_DEMO_YELLOW    //YELLOW LED version -> v3.0.0

#endif //!_MAIN_H
